#!/bin/sh
#
#*===================================================================
#*
#*  Copyright IBM Corp. 2015
#*  All rights reserved.
#*  US Government Users Restricted Rights -
#*  Use, duplication or disclosure restricted
#*  by GSA ADP Schedule Contract with IBM Corp.
#*
#*  Licensed Materials-Property of IBM
#*
#*===================================================================
#
. /etc/virtualimage.properties

export was_user=`grep com\\.ibm\\.SOAP\\.loginUserid ${WAS_PROFILE_ROOT}/properties/soap.client.props | grep -v \# | awk -- '{split($1, array,"=")} END{print array[2] }'`
export script_dir=`pwd`
export dmgr_host=`grep scripting\\.host  ${WAS_PROFILE_ROOT}/properties/wsadmin.properties | grep -v \# | awk -- '{split($1, array,"=")} END{print array[2] }'`
export PYTHONPATH=${PYTHONPATH}:${WAS_CONTROL_HOME}

# For IHS nodes.  PROFILE_HOME does not exist
if [ -z "$PROFILES_HOME" ]; then
    echo "PROFILES_HOME is not defined in virtualimage.properties, create cluster script does not a support this Server Type"
    exit -1
fi

# There is no nodeagent on dmgr, admin agent, standalone server, ODR.
if [ ! -d  "${PROFILE_ROOT}/config/cells/${CELL_NAME}/nodes/${NODE_NAME}/servers/nodeagent" ]; then
    echo "There is no nodeagent on the virtual machine.  Create cluster script does not support this server type."
    exit -1
fi

su - $was_user -c "${WAS_PROFILE_ROOT}/bin/wsadmin.sh -lang jython -f ${script_dir}/createClusterMember.py $1 $2 $NODE_NAME $3"

export rc=$?
if [ $rc -eq 1 ]; then
   echo "Retrying because of error"
   su - $was_user -c "${WAS_PROFILE_ROOT}/bin/wsadmin.sh -lang jython -appendtrace true -f ${script_dir}/createClusterMember.py $1 $2 $NODE_NAME $3"
elif [ $rc -eq 2 ]; then
   exit -1
fi

su - $was_user -c "${WAS_PROFILE_ROOT}/bin/stopServer.sh nodeagent"
su - $was_user -c "${WAS_PROFILE_ROOT}/bin/syncNode.sh $dmgr_host"
su - $was_user -c "${WAS_PROFILE_ROOT}/bin/startServer.sh nodeagent"


# open firewall ports
python openFirewallPorts.py $WAS_CONTROL_HOME ${WAS_PROFILE_ROOT}/bin/wsadmin.sh $was_user

